Package com.io7m.cardant.protocol.inventory.cb

# Interface CAI1ItemReposit

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1ItemReposit.CAI1ItemRepositSerialAdd`, `CAI1ItemReposit.CAI1ItemRepositSerialMove`, `CAI1ItemReposit.CAI1ItemRepositSerialRemove`, `CAI1ItemReposit.CAI1ItemRepositSetAdd`, `CAI1ItemReposit.CAI1ItemRepositSetMove`, `CAI1ItemReposit.CAI1ItemRepositSetRemove`

public sealed interface CAI1ItemReposit extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1ItemReposit.CAI1ItemRepositSetAdd, CAI1ItemReposit.CAI1ItemRepositSetMove, CAI1ItemReposit.CAI1ItemRepositSetRemove, CAI1ItemReposit.CAI1ItemRepositSerialAdd, CAI1ItemReposit.CAI1ItemRepositSerialMove, CAI1ItemReposit.CAI1ItemRepositSerialRemove
The type of item reposit operations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSerialAdd`
  An operation that adds a single identified item to a storage location.
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSerialMove`
  An operation that moves a single identified item from one storage location to another.
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSerialRemove`
  An operation that removes a single identified item from a storage location.
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSetAdd`
  An operation that adds a set of items to a storage location.
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSetMove`
  An operation that moves a set of items from one storage location to another.
  `static final record`
  `CAI1ItemReposit.CAI1ItemRepositSetRemove`
  An operation that removes a set of items from a storage location.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static CAI1ItemReposit`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1ItemReposit.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemReposit $x)`
  Serialize a value of type CAI1ItemReposit.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemReposit $x) throws IOException
    Serialize a value of type CAI1ItemReposit.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static CAI1ItemReposit deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1ItemReposit.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1ItemReposit.
    Throws:
      `IOException`